EDIT - feature request #7244

DistributionStatus editor help
02/05/2018 02:34 PM - Andreas Kohlbecker

Status: Resolved Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 50%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal

Description

Add help button to the DistributionStatus editor with content like:
1. Nach dem Einloggen erscheint der Distribution-Settings-Dialog:
— links oben muss man ein Area-Vokabular auswdhlen

— links unten kann man mit STRG bzw. SHIFT optional einzelne Areas
selektieren (sonst sind alle gewé&hlt)

— rechts oben muss man eine Klassifikation wdhlen (wenn es nur eine
gibt, ist sie vorselektiert, wie hier)

— rechts bei "Filter" kann man auf dem Titlecache filtern (ENTER driicken)
— rechts unten kann man einen Taxon (unter)baum wdhlen (ACHTUNG! Per
Default ist alles gewdhlt -> lange Ladezeit)

2. Nachdem man OK gedriickt hat, erhdlt man die Verbreitungsdaten in
Tabellenform, alphabetisch sortiert nach Taxonnamen.

- Taxon und Rang sind nicht editierbar

— die weiteren Spalten sind die Areas. Klickt man in eine Zelle, gibt
es ein Pop-Up zum setzen des Verbreitungsstatus'

- mit dem winzigen Pfeil ganz rechts lassen sich die angezeigten
Spalten ein- und ausblenden
3. Settings

— Hier kann man zum einen die Abkilirzungen filir Areas sowie fiir die
Status togglen

- Ebenso kann man die Status filtern, indem man sie von links nach
rechts mithilfe der Pfeil-Buttons verschiebt. Sind keine Status auf der
rechten Seite, werden alle angeboten

4. Distribution Settings

— fihrt einen wieder zurilick zum anfd@nglichen Dialog (siehel.)

5. Detail View
— Hier erh&dlt man eine nicht editierbare Auflistung aller angehédngten

Factual Data. Der View ist dabei nicht gefiltert auf Distributions,
sondern zeigt alles an, was man im Taxonomic Editor auch editieren kann.
6. Logout

- beendet die Session und fihrt zurlick zum Login-Dialog

Associated revisions

Revision 6bf65de0 - 03/13/2018 01:51 PM - Fabian Reimeier

ref #7244 added general help window and refactored

Revision 24469549 - 03/14/2018 11:24 AM - Fabian Reimeier
ref #7244 changed layout

Revision 5e8b6361 - 03/14/2018 11:58 AM - Fabian Reimeier
ref #7244 changed listselect to optiongroup

History

#1 - 02/12/2018 09:04 PM - Andreas Miuller

WGB: ein guter Hinweis fur die Doku (ich nehme die auch mit in’'s Word Dokument): Brower page backwards ist zu vermeiden, gibt immer wieder das
login.

#2 - 03/13/2018 02:04 PM - Fabian Reimeier
- Status changed from New to In Progress
- Target version changed from Unassigned CDM tickets to Release 5.0

- % Done changed from 0 to 50

#3 - 03/15/2018 05:11 PM - Andreas Kohlbecker

- Related to task #7315: remove workaround Redmine TransportAccessor added

#4 - 03/15/2018 05:12 PM - Andreas Kohlbecker

- Related to deleted (task #7315: remove workaround Redmine TransportAccessor)

#5 - 04/05/2018 10:51 AM - Fabian Reimeier

- Assignee changed from Fabian Reimeier to Andreas Miiller

Added help-window for the distribution editor.

@Andreas Muller Please review if the documentation is sufficient.

#6 - 05/17/2018 02:17 PM - Andreas Miiller

- Status changed from In Progress to Resolved
